Program hacesp;
uses   crt;

Var
    t,u	   :text;
    Num	   :Double;
    s      :string;
    ch     :Double;
    i      :integer;

Begin
  Write('¿Qué archivo transformar ? (ext ''PIX'') ');
  Readln(s);
  Writeln(s);
  s:='/home/tabatha/PAMPA/esps/'+s;
  Writeln(s);
  Assign(t,s+'.PIX'); Reset(t);
  Assign(u,s+'.spe'); Rewrite(u);

  Read(T,Num);
  Writeln(U,'$DATA:');
  Writeln(U,'      0    ',Round(Num):4);
  For I:=1 To Round(Num) Do Begin
      Read(T,ch);
      Write(U,Round(ch):8);	
      if (i mod 10 = 0) then writeln(u)
  End;	
  close(t);
  close(u);

End.
